| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations | Variables
animate.h File Reference

## Classes
class | wxAnimationCtrl
| This is a static control which displays an animation. More...
class | wxAnimation
| This class encapsulates the concept of a platform-dependent animation. More...

## Macros
#define | wxAC_NO_AUTORESIZE (0x0010)
#define | wxAC_DEFAULT_STYLE (wxBORDER_NONE)

## Enumerations
enum | wxAnimationType { wxANIMATION_TYPE_INVALID, wxANIMATION_TYPE_GIF, wxANIMATION_TYPE_ANI, wxANIMATION_TYPE_ANY }
| Supported animation types. More...

## Variables
wxAnimation | wxNullAnimation
| An empty animation object.

## Macro Definition Documentation

#define wxAC_DEFAULT_STYLE (wxBORDER_NONE)

#define wxAC_NO_AUTORESIZE (0x0010)

## Enumeration Type Documentation

enum wxAnimationType

Supported animation types.

Enumerator:

  wxANIMATION_TYPE_INVALID |
  wxANIMATION_TYPE_GIF | represents an animated GIF file.
  wxANIMATION_TYPE_ANI | represents an ANI file.
  wxANIMATION_TYPE_ANY | autodetect the filetype.

## Variable Documentation

wxAnimation wxNullAnimation

An empty animation object.